package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * Bcr对象 bcr
 *
 * @author hlf
 * @date 2021-08-12
 */
public class Bcr extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Long bcrNo;

    private Long wturNo;

    private Long oftype;

    private String name;

    private String ref;

    private Long presence;

    private Double actval;

    private Double frval;

    private Date frtime;

    private Double incval;

    private Long bcrType;

    private Long q;

    private Date t;

    private Long statFlag;

    private Long unifiedPoint;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setBcrNo(Long bcrNo) {
        this.bcrNo = bcrNo;
    }

    public Long getBcrNo() {
        return bcrNo;
    }

    public void setWturNo(Long wturNo) {
        this.wturNo = wturNo;
    }

    public Long getWturNo() {
        return wturNo;
    }

    public void setOftype(Long oftype) {
        this.oftype = oftype;
    }

    public Long getOftype() {
        return oftype;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setRef(String ref) {
        this.ref = ref;
    }

    public String getRef() {
        return ref;
    }

    public void setPresence(Long presence) {
        this.presence = presence;
    }

    public Long getPresence() {
        return presence;
    }

    public void setActval(Double actval) {
        this.actval = actval;
    }

    public Double getActval() {
        return actval;
    }

    public void setFrval(Double frval) {
        this.frval = frval;
    }

    public Double getFrval() {
        return frval;
    }

    public void setFrtime(Date frtime) {
        this.frtime = frtime;
    }

    public Date getFrtime() {
        return frtime;
    }

    public void setIncval(Double incval) {
        this.incval = incval;
    }

    public Double getIncval() {
        return incval;
    }

    public void setBcrType(Long bcrType) {
        this.bcrType = bcrType;
    }

    public Long getBcrType() {
        return bcrType;
    }

    public void setQ(Long q) {
        this.q = q;
    }

    public Long getQ() {
        return q;
    }

    public void setT(Date t) {
        this.t = t;
    }

    public Date getT() {
        return t;
    }

    public void setStatFlag(Long statFlag) {
        this.statFlag = statFlag;
    }

    public Long getStatFlag() {
        return statFlag;
    }

    public Long getUnifiedPoint() {
        return unifiedPoint;
    }

    public void setUnifiedPoint(Long unifiedPoint) {
        this.unifiedPoint = unifiedPoint;
    }

    private String windplantName;

    private String wturName;

    public String getWindplantName() {
        return windplantName;
    }

    public void setWindplantName(String windplantName) {
        this.windplantName = windplantName;
    }

    public String getWturName() {
        return wturName;
    }

    public void setWturName(String wturName) {
        this.wturName = wturName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("windplantNo", getWindplantNo())
                .append("bcrNo", getBcrNo())
                .append("wturNo", getWturNo())
                .append("oftype", getOftype())
                .append("name", getName())
                .append("ref", getRef())
                .append("presence", getPresence())
                .append("actval", getActval())
                .append("frval", getFrval())
                .append("frtime", getFrtime())
                .append("incval", getIncval())
                .append("bcrType", getBcrType())
                .append("q", getQ())
                .append("t", getT())
                .append("statFlag", getStatFlag())
                .toString();
    }
}
